import { LitElement } from 'lit';
declare const UUIComboboxListOptionElement_base: (new (...args: any[]) => import("@umbraco-ui/uui-base/lib/mixins").SelectableMixinInterface) & (new (...args: any[]) => import("@umbraco-ui/uui-base/lib/mixins").ActiveMixinInterface) & typeof LitElement;
/**
 * @element uui-combobox-list-option
 * @slot - For option content
 * @description - An option to be used within uui-combobox-list
 */
export declare class UUIComboboxListOptionElement extends UUIComboboxListOptionElement_base {
    private _value;
    private _disabled;
    _displayValue: string;
    /**
     * Value of the option.
     * @type { string }
     * @attr
     * @default ""
     */
    get value(): string;
    set value(newValue: string);
    /**
     * A readable value.
     * @type { string }
     * @attr
     * @default ""
     */
    get displayValue(): string;
    set displayValue(newValue: string);
    /**
     * Determines if the options is disabled. If true the option can't be selected
     * @type { boolean }
     * @attr
     * @default false
     */
    get disabled(): boolean;
    set disabled(newValue: boolean);
    constructor();
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'uui-combobox-list-option': UUIComboboxListOptionElement;
    }
}
export {};
