import { LitElement } from 'lit';
/**
 * @element uui-combobox-list
 * @fires {UUIComboboxListEvent} change - fires when selection is changed
 * @slot - for uui-combobox-list-options
 * @description - A list that uses uui-combobox-list-options and handles keyboard navigation and selection.
 */
export declare class UUIComboboxListElement extends LitElement {
    #private;
    /**
     * Value of selected option.
     * @type { FormDataEntryValue | FormData }
     * @attr
     * @default ""
     */
    get value(): FormDataEntryValue | FormData;
    set value(newValue: FormDataEntryValue | FormData);
    /**
     * A readable value to display to show the selected value.
     * @type { string }
     * @attr
     * @default ""
     */
    displayValue: string;
    private _for?;
    /**
     * provide another element of which keyboard navigation
     * @type { HTMLElement }
     * @attr
     * @default this
     */
    get for(): HTMLElement | undefined;
    set for(newValue: HTMLElement | undefined);
    private _options;
    private _activeOptions;
    private _value;
    private _activeElementValue;
    private _selectedElement;
    connectedCallback(): void;
    disconnectedCallback(): void;
    private _updateSelection;
    private _onSlotChange;
    private _onSelected;
    private _onDeselected;
    private get _getActiveIndex();
    private get _getActiveElement();
    private _moveIndex;
    private _goToIndex;
    private _onKeyDown;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'uui-combobox-list': UUIComboboxListElement;
    }
}
